/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 22, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.coreservices.searchkit.SKDocument;

//import dstep.AvailabilityMacros;
import dstep.corefoundation.CFBase;
import dstep.corefoundation.CFURL;

alias CFTypeRef SKDocumentRef;

extern (C)
{
	uint SKDocumentGetTypeID ();
	SKDocumentRef SKDocumentCreateWithURL (CFURLRef inURL);
	CFURLRef SKDocumentCopyURL (SKDocumentRef inDocument);
	SKDocumentRef SKDocumentCreate (CFStringRef inScheme, SKDocumentRef inParent, CFStringRef inName);
	CFStringRef SKDocumentGetSchemeName (SKDocumentRef inDocument);
	CFStringRef SKDocumentGetName (SKDocumentRef inDocument);
	SKDocumentRef SKDocumentGetParent (SKDocumentRef inDocument);
}